Gentoo Logo

TikiWiki, eGroupWare: Arbitrary command execution through XML-RPC

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200508-14 / tikiwiki egroupware
Release Date August 24, 2005
Latest Revision August 24, 2005: 01
Impact high
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
www-apps/tikiwiki < 1.8.5-r2 >= 1.8.5-r2 All supported architectures
www-apps/egroupware < 1.0.0.009 >= 1.0.0.009 All supported architectures

Related bugreports: #102374, #102377

Synopsis

TikiWiki and eGroupWare both include PHP XML-RPC code vulnerable to arbitrary command execution.

2.  Impact Information

Background

TikiWiki is a full featured Free Software Wiki, CMS and Groupware written in PHP. eGroupWare is a web-based collaboration software suite. Both TikiWiki and eGroupWare include a PHP library to handle XML-RPC requests.

Description

The XML-RPC library shipped in TikiWiki and eGroupWare improperly handles XML-RPC requests and responses with malformed nested tags.

Impact

A remote attacker could exploit this vulnerability to inject arbitrary PHP script code into eval() statements by sending a specially crafted XML document to TikiWiki or eGroupWare.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All TikiWiki users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=www-apps/tikiwiki-1.8.5-r2"

All eGroupWare users should upgrade to the latest version:

Code Listing 3.2: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=www-apps/egroupware-1.0.0.009"

4.  References



Print

Page updated August 24, 2005

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.